Last Comment Bug 484221 - onDeleteURI of nsINavHistoryObserver does not fire when deleting more than 10 entries at once
: onDeleteURI of nsINavHistoryObserver does not fire when deleting more than 10...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: unspecified
: x86 Windows Vista
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Marco Bonardo [::mak]
Mentors:
Depends on: 630240
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 09:58 PDT by Andreas Wagner [:TheOne]
Modified: 2011-05-02 08:45 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Andreas Wagner [:TheOne] 2009-03-19 09:58:48 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; de; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; de; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7

When deleting less than 10 entries from the history sidebar at once, nsINavHistoryObserver:onDeleteURI() fires for every entry.

But when deleting more than 10 entries from the sidebar at once, onDeleteURI() doesn't fire at all, only onBeginUpdateBatch() fires.

Reproducible: Always
Comment 1 Marco Bonardo [::mak] 2009-03-23 01:51:43 PDT
that's expected, when we remove more than 10 entries we do batch, so single observer calls are skipped.
Comment 2 Andreas Wagner [:TheOne] 2009-03-23 02:49:27 PDT
And how can I find out when more than 10 pages are deleted at once, and which ones they are?
Comment 3 Marco Bonardo [::mak] 2009-03-23 03:06:25 PDT
no way, atm, you only know something has changed
Comment 4 Marco Bonardo [::mak] 2009-08-12 05:41:26 PDT
no reasons to stay UNCO, we should still notify things even in batch mode, is the observer that should ignore those notifications if it does not need them
Comment 5 Gervase Markham [:gerv] 2009-11-26 06:07:48 PST
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv
Comment 6 Marco Bonardo [::mak] 2011-05-02 08:45:39 PDT
fixed with bug 630240

Note You need to log in before you can comment on or make changes to this bug.